org.cpsolver.studentsct.filter

## Class RandomStudentFilter

- java.lang.Object
- - org.cpsolver.studentsct.filter.RandomStudentFilter

- All Implemented Interfaces:
    StudentFilter

      public class RandomStudentFilter
      extends Object
      implements StudentFilter

  This student filter accepts every student with the given probability. The choice for each student is remembered, i.e., if the student is passed to the filter multiple times the same answer is returned.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomStudentFilter(double prob)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Student student)` A student is accepted with the given probability
    `String` | `getName()` Filter name
    `void` | `setProbability(double prob)` Set acceptance probability.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomStudentFilter

          public RandomStudentFilter(double prob)

      Constructor
      Parameters:
        `prob` - probability of acceptance of a student

  - ### Method Detail

    - #### accept

          public boolean accept(Student student)

      A student is accepted with the given probability
      Specified by:
        `accept` in interface `StudentFilter`
      Parameters:
        `student` - a student
      Returns:
        true if the student is to be accepted (sectioned)

    - #### setProbability

          public void setProbability(double prob)

      Set acceptance probability. Update the sets of accepted and rejected students accordingly.
      Parameters:
        `prob` - new acceptance probability

    - #### getName

          public String getName()

      Description copied from interface: `StudentFilter`
      Filter name
      Specified by:
        `getName` in interface `StudentFilter`